using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BLL
{
    /*课程信息业务逻辑层*/
    public class bllCourseInfo_QQ254540457{
        /*添加课程信息*/
        public static bool AddCourseInfo_QQ254540457(ENTITY.CourseInfo_QQ254540457 courseInfo_QQ254540457)
        {
            return DAL.dalCourseInfo_QQ254540457.AddCourseInfo_QQ254540457(courseInfo_QQ254540457);
        }

        /*根据courseNumber获取某条课程信息记录*/
        public static ENTITY.CourseInfo_QQ254540457 getSomeCourseInfo_QQ254540457(string courseNumber)
        {
            return DAL.dalCourseInfo_QQ254540457.getSomeCourseInfo_QQ254540457(courseNumber);
        }

        /*更新课程信息*/
        public static bool EditCourseInfo_QQ254540457(ENTITY.CourseInfo_QQ254540457 courseInfo_QQ254540457)
        {
            return DAL.dalCourseInfo_QQ254540457.EditCourseInfo_QQ254540457(courseInfo_QQ254540457);
        }

        /*删除课程信息*/
        public static bool DelCourseInfo_QQ254540457(string p)
        {
            return DAL.dalCourseInfo_QQ254540457.DelCourseInfo_QQ254540457(p);
        }

        /*根据条件分页查询课程信息*/
        public static System.Data.DataTable GetCourseInfo_QQ254540457(int NowPage, int PageSize, out int AllPage, out int DataCount, string p)
        {
            return DAL.dalCourseInfo_QQ254540457.GetCourseInfo_QQ254540457(NowPage, PageSize, out AllPage, out DataCount, p);
        }
        /*查询所有的课程信息*/
        public static System.Data.DataSet getAllCourseInfo_QQ254540457()
        {
            return DAL.dalCourseInfo_QQ254540457.getAllCourseInfo_QQ254540457();
        }
    }
}
